Skip to main content
GET
C#
This endpoint requires the payment-links.read scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-gr4vy-merchant-account-id
string

The ID of the merchant account to use for this request.

Example:

"default"

Query Parameters

cursor
string | null

A pointer to the page of results to return.

Example:

"ZXhhbXBsZTE"

limit
integer
default:20

The maximum number of items that are returned.

Required range: 1 <= x <= 100
Example:

20

created_at_lte
string<date-time> | null

Filters the results to only payment links created before this ISO date-time string. The time zone must be included. Ensure that the date-time string is URL encoded, e.g. 2022-01-01T12:00:00+08:00 must be encoded as 2022-01-01T12%3A00%3A00%2B08%3A00.

Example:

"2022-01-01T12:00:00+08:00"

created_at_gte
string<date-time> | null

Filters the results to only payment links created after this ISO date-time string. The time zone must be included. Ensure that the date-time string is URL encoded, e.g. 2022-01-01T12:00:00+08:00 must be encoded as 2022-01-01T12%3A00%3A00%2B08%3A00.

Example:

"2022-01-01T12:00:00+08:00"

updated_at_lte
string<date-time> | null

Filters the results to only payment links updated before this ISO date-time string. The time zone must be included. Ensure that the date-time string is URL encoded, e.g. 2022-01-01T12:00:00+08:00 must be encoded as 2022-01-01T12%3A00%3A00%2B08%3A00.

Example:

"2022-01-01T12:00:00+08:00"

updated_at_gte
string<date-time> | null

Filters the results to only payment links updated after this ISO date-time string. The time zone must be included. Ensure that the date-time string is URL encoded, e.g. 2022-01-01T12:00:00+08:00 must be encoded as 2022-01-01T12%3A00%3A00%2B08%3A00.

Example:

"2022-01-01T12:00:00+08:00"

currency
string[] | null

Filters for payment links that have matching currency values. The currency values provided must be formatted as 3-letter ISO currency codes.

Pattern: ^[A-Z]{3}$
Example:
amount_eq
integer | null

Filters for payment links that have an amount equal to this value.

Required range: 0 <= x <= 2147483647
Example:

1299

amount_gte
integer | null

Filters for payment links that have an amount greater than or equal to this value.

Required range: 0 <= x <= 2147483647
Example:

1299

amount_lte
integer | null

Filters for payment links that have an amount less than or equal to this value.

Required range: 0 <= x <= 2147483647
Example:

1299

status
string[] | null

Filters the results to only the payment links that have a status that matches with any of the provided status values.

Example:

"active"

buyer_search
string[] | null

Filters the results to only get the items for which some of the buyer data contains exactly the provided buyer_search values.

Example:

Response

Successful Response

items
PaymentLink · object[]
required

A list of items returned for this request.

limit
integer
default:20

The number of items for this page.

Required range: 1 <= x <= 100
Example:

20

next_cursor
string | null

The cursor pointing at the next page of items.

Required string length: 1 - 1000
Example:

"ZXhhbXBsZTE"

previous_cursor
string | null

The cursor pointing at the previous page of items.

Required string length: 1 - 1000
Example:

"Xkjss7asS"